XML Standard API: Interface HTMLBodyElement

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html
Interface HTMLBodyElement

All Superinterfaces:
  Element, HTMLElement, Node

public interface HTMLBodyElement
extends HTMLElement

The HTML document body. This element is always present in the DOM API,even if the tags are not present in the source document. See the BODY element definition in HTML 4.0.

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` | `getALink()` Color of active links (after mouse-button down, but beforemouse-button up).
`java.lang.String` | `getBackground()` URI of the background texture tile image.
`java.lang.String` | `getBgColor()` Document background color.
`java.lang.String` | `getLink()` Color of links that are not active and unvisited.
`java.lang.String` | `getText()` Document text color.
`java.lang.String` | `getVLink()` Color of links that have been visited by the user.
`void` | `setALink(java.lang.String aLink)`
`void` | `setBackground(java.lang.String background)`
`void` | `setBgColor(java.lang.String bgColor)`
`void` | `setLink(java.lang.String link)`
`void` | `setText(java.lang.String text)`
`void` | `setVLink(java.lang.String vLink)`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Method Detail

### getALink

    public java.lang.String getALink()

  Color of active links (after mouse-button down, but beforemouse-button up). See the alink attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setALink

    public void setALink(java.lang.String aLink)

### getBackground

    public java.lang.String getBackground()

  URI of the background texture tile image. See the background attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setBackground

    public void setBackground(java.lang.String background)

### getBgColor

    public java.lang.String getBgColor()

  Document background color. See the bgcolor attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setBgColor

    public void setBgColor(java.lang.String bgColor)

### getLink

    public java.lang.String getLink()

  Color of links that are not active and unvisited. See the link attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setLink

    public void setLink(java.lang.String link)

### getText

    public java.lang.String getText()

  Document text color. See the text attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setText

    public void setText(java.lang.String text)

### getVLink

    public java.lang.String getVLink()

  Color of links that have been visited by the user. See the vlink attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setVLink

    public void setVLink(java.lang.String vLink)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.